-- - prologDb2.ddl start ---------------------------------------------
-- Version: 1.3
-- -------------------------------------------------------------------
-- DDL for @PRODUCT.SERVER@ @PRODUCT.VERSION.DETAIL@ - @BLDLEVEL@
--
-- - prologDb2.ddl end -----------------------------------------------

-- Migration  Script for MMS / MM7

--Rename ATTACHMENT_CONTENTS table name to MMSATTACHCONTENT
RENAME ATTACHMENT_CONTENTS TO MMSATTACHCONTENT;

--Rename the column in the MMSSENDDATA 
--ATTRIBUTES in TWSS 6.2 & ATTRIB in TWSS 7.0

ALTER TABLE MMSSENDDATA ADD COLUMN ATTRIB VARCHAR(250);

UPDATE MMSSENDDATA SET ATTRIB = ATTRIBUTES;

ALTER TABLE MMSSENDDATA DROP COLUMN ATTRIBUTES;

--Rename the column in the MMSRECEIVEDATA  
--ATTRIBUTES in TWSS 6.2 & ATTRIB in TWSS 7.0

ALTER TABLE MMSRECEIVEDATA ADD COLUMN ATTRIB VARCHAR(250);

UPDATE MMSRECEIVEDATA SET ATTRIB = ATTRIBUTES;

ALTER TABLE MMSRECEIVEDATA DROP COLUMN ATTRIBUTES ;

--Rename the column in the MMSNOTIFICATIONDATA   
--ATTRIBUTES in TWSS 6.2 & ATTRIB in TWSS 7.0

ALTER TABLE MMSNOTIFICATIONDATA ADD COLUMN ATTRIB VARCHAR(250);

UPDATE MMSNOTIFICATIONDATA SET ATTRIB = ATTRIBUTES;

ALTER TABLE MMSNOTIFICATIONDATA DROP COLUMN ATTRIBUTES;

COMMIT;

REORG TABLE MMSATTACHCONTENT;
REORG TABLE MMSSENDDATA;
REORG TABLE MMSRECEIVEDATA;
REORG TABLE MMSNOTIFICATIONDATA;

COMMIT;